<?php
/*
* Новаое ядро для сайта rgcms (by Flowap 2019)
*/
////////////////////// старт генерации
$generrat = (float)microtime();
///////////////////// Показ ошибок
ini_set('error_reporting', E_ALL); //Задает, какие ошибки PHP попадут в отчет (все)
ini_set('display_errors', 1); // показ ошибок (лучше ошибки сразу исправлять)
ini_set('display_startup_errors', 1); //ошибки во время запуска php
///////////////////// Старт тайм зоны
date_default_timezone_set('Europe/Moscow'); // тайм зона
mb_internal_encoding('UTF-8'); // кодировка
///////////////////// Настраиваем быстрые переменные
define('ROOT', dirname(__DIR__) . DIRECTORY_SEPARATOR);
///////////////////// Настройка сессии
session_name('SESID'); // название начальной сессии
session_start(); // стартуем сессию
ob_start(); // Включение буферизации вывода
///////////////////// Проверяем версию php (для того что бы поошибке не установить на говно версию)
if(version_compare(PHP_VERSION, '7.3', '<')):
	exit('ОШИБКА! Версия PHP должна быть 7.3 и больше.'); 
endif;
///////////////////// Заранее фильтруем переменные
$act = isset($_GET['act']) ? trim(htmlspecialchars($_GET['act'])) : null;
$id = isset($_GET['id']) ? abs(intval($_GET['id'])) : null;
///////////////////// Автозагрузка классов
function autoload($class) { // запуск функции
    $file = ROOT.'/flowap/corer/' . $class . '.php';
    if (file_exists($file) == false):
        return false;
    endif;

    include ($file);
}
if (function_exists('spl_autoload_register')) { // автозагрузка
    spl_autoload_register('autoload');
} 
///////////////////// Подключение к бд
///require_once(ROOT.'flowap/corer/DB.php');
$db = new DB([
    'connect' => [
        'host'     => 'localhost', // Хост
        'user'     => 'client616_blog', // Юзер
        'password' => '2P0j3R5t', // Пароль от бд
        'dbname'   => 'client616_blog', // Имя юзера
        'charset'  => 'utf8', // БД какой кадировки
        'namess'  => 'utf8' // Записываем кодировкой
    ]
]);
// Старт ядра
//new core;
// Старт бб кодов
$bbcode = new bbcode();
// Стартуем дизайн
$title = new body; //стартуем дизайн
// инклуды и классы
$nums1 = [ // определяем номер
	'0' => '<div title="статус блога" class="statb" style="background-color: #fafff8;color: #9cd29b;">Статья</div>',
	'1' => '<div title="статус блога" class="statb" style="background-color: #f8f9ff;color: #9b9fd2;">Файл</div>',
    '2' => '<div title="статус блога" class="statb" style="background-color: #fff8f8;color: #d29b9b;">Мошенник</div>'
];
// получаем данные из классов
$user = core::$userData;
// Проверка до конца реги
if (empty($_SERVER['HTTP_X_REQUESTED_WITH'])) { // разрешаем ajax работать
    if (isset($user['id']) and $user['regas'] == 0 and $_SERVER['SCRIPT_NAME'] != '/m/exitreg.php'):
        header('Location: /exitreg/');exit;
    endif;
}
?>